Debian Bug report logs - #513382
akonadi-server: depends on the mysql-server package which starts system mysqld

version graph

Package: akonadi-server; Maintainer for akonadi-server is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for akonadi-server is src:akonadi.

Reported by: Marcus Better <marcus@better.se>

Date: Wed, 28 Jan 2009 14:33:01 UTC

Severity: serious

Found in version akonadi/1.1.1-1

Fixed in version akonadi/1.3.1-3

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marcus Better <marcus@better.se>, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Wed, 28 Jan 2009 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
New Bug report received and forwarded. Copy sent to Marcus Better <marcus@better.se>, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jan 2009 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 15:30:44 +0100
Package: akonadi-server
Version: 1.1.1-1
Severity: important

The dependency on mysql-server means that at least *two* mysqld
processes will be started: one system-wide and one embedded in Akonadi
(per KDE user!). That is already two more than I want, but definitely
one more than asked for.

akonadi-server should be able to start just the embedded MySQL,
similar to how various packages start embedded Tomcat or Jetty
instances without depending on the system-wide server
package. (Perhaps some refactoring of the MySQL packages is needed?)

Even better, it should use some more light-weight embedded database
engine.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28.1-melech (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages akonadi-server depends on:
ii  libakonadiprivate1           1.1.1-1     libraries for the Akonadi PIM stor
ii  libboost-program-options1.34 1.34.1-14   program options library for C++
ii  libc6                        2.7-18      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.2-1.1 GCC support library
ii  libqt4-dbus                  4.4.3-2     Qt 4 D-Bus module
ii  libqt4-sql-mysql             4.4.3-2     Qt 4 MySQL database driver
ii  libqtcore4                   4.4.3-2     Qt 4 core module
ii  libstdc++6                   4.3.2-1.1   The GNU Standard C++ Library v3
ii  mysql-server                 5.1.30-2    MySQL database server (metapackage
ii  mysql-server-5.1 [mysql-serv 5.1.30-2    MySQL database server binaries

akonadi-server recommends no packages.

akonadi-server suggests no packages.

-- no debconf information




Reply sent to Sune Vuorela <debian@pusling.com>:
You have taken responsibility. (Wed, 28 Jan 2009 14:55:13 GMT) Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. (Wed, 28 Jan 2009 14:55:26 GMT) Full text and rfc822 format available.

Message #10 received at 513382-done@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 513382-done@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 15:51:19 +0100
No. this is how akonadi at least currently work and it is a 
design decision upstream to do it this way.

No value in keeping this bug open.

/Sune

On Wednesday 28 January 2009 15:30:44 Marcus Better wrote:
> Package: akonadi-server
> Version: 1.1.1-1
> Severity: important
>
> The dependency on mysql-server means that at least *two* 
mysqld
> processes will be started: one system-wide and one embedded 
in Akonadi
> (per KDE user!). That is already two more than I want, but 
definitely
> one more than asked for.
>
> akonadi-server should be able to start just the embedded 
MySQL,
> similar to how various packages start embedded Tomcat or 
Jetty
> instances without depending on the system-wide server
> package. (Perhaps some refactoring of the MySQL packages is 
needed?)
>
> Even better, it should use some more light-weight embedded 
database
> engine.
>
> -- System Information:
> Debian Release: 5.0
>   APT prefers testing
>   APT policy: (990, 'testing'), (500, 'unstable'), (1, 
'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.28.1-melech (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 
(charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages akonadi-server depends on:
> ii  libakonadiprivate1           1.1.1-1     libraries for 
the Akonadi PIM
> stor ii  libboost-program-options1.34 1.34.1-14   program 
options library
> for C++ ii  libc6                        2.7-18      GNU C 
Library: Shared
> libraries ii  libgcc1                      1:4.3.2-1.1 GCC 
support library
> ii  libqt4-dbus                  4.4.3-2     Qt 4 D-Bus 
module
> ii  libqt4-sql-mysql             4.4.3-2     Qt 4 MySQL 
database driver
> ii  libqtcore4                   4.4.3-2     Qt 4 core module
> ii  libstdc++6                   4.3.2-1.1   The GNU Standard 
C++ Library
> v3 ii  mysql-server                 5.1.30-2    MySQL 
database server
> (metapackage ii  mysql-server-5.1 [mysql-serv 5.1.30-2    
MySQL database
> server binaries
>
> akonadi-server recommends no packages.
>
> akonadi-server suggests no packages.
>
> -- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Wed, 28 Jan 2009 15:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jan 2009 15:30:07 GMT) Full text and rfc822 format available.

Message #15 received at 513382@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Sune Vuorela <debian@pusling.com>
Cc: 513382@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 16:28:17 +0100
[Message part 1 (text/plain, inline)]
reopen 513382
thanks

Sune Vuorela wrote:
> No. this is how akonadi at least currently work and it is a design decision upstream to do it this way.

No, I think you are mistaken. This is about akonadi-server pulling in the *system-wide* MySQL server that Akonadi 
does not use at all:

~$ ps axu|grep mysqld
root      8652  0.0  0.0  10200   556 ?        S    10:02   0:00 /bin/sh /usr/bin/mysqld_safe
mysql     8772  0.0  0.0 159312  2236 ?        Sl   10:02   0:06 /usr/sbin/mysqld --basedir=/usr --
datadir=/var/lib/mysql --user=mysql --log-error=/var/lib/mysql/better.err --pid-file=/var/run/mysqld/mysqld.pid --
socket=/var/run/mysqld/mysqld.sock --port=3306
marcus   23253  0.0  0.8 213112 31784 ?        Sl   15:09   0:02 /usr/sbin/mysqld --defaults-
file=/home/marcus/.local/share/akonadi//mysql.conf --datadir=/home/marcus/.local/share/akonadi/db_data/ --
socket=/home/marcus/.local/share/akonadi/db_misc/mysql.socket

The first mysqld is a system-wide process that is of no use at all to akonadi-server, IIUC.This is not an upstream issue. 

Cheers,

Marcus

[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 28 Jan 2009 15:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Wed, 28 Jan 2009 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Vello <xavier.vello@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jan 2009 18:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 513382@bugs.debian.org (full text, mbox):

From: Xavier Vello <xavier.vello@gmail.com>
To: Marcus Better <marcus@better.se>, 513382@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 19:09:57 +0100
> > No. this is how akonadi at least currently work and it is a design
> > decision upstream to do it this way.
>
> No, I think you are mistaken. This is about akonadi-server pulling in the
> *system-wide* MySQL server that Akonadi does not use at all:

akonadi needs /usr/sbin/mysqld provided by the mysql-server-* packages,
and runs it with a custom configuration. There is no automatic way to use the 
system-wide mysql, but you are free to code one and include it upstream.

About having two mysqld running, this is because the mysql-server-* packages 
launch it by default. There is nothing the pkg-kde team can do about it, feel 
free to bug the mysql packaging team to get a package installing 
/usr/sbin/mysqld without the init scripts.

-- 
Xavier Vello




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Wed, 28 Jan 2009 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jan 2009 20:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 513382@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Xavier Vello <xavier.vello@gmail.com>
Cc: 513382@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 21:06:35 +0100
[Message part 1 (text/plain, inline)]
Xavier Vello wrote:
>> This is about akonadi-server pulling in the
>> *system-wide* MySQL server that Akonadi does not use at all:

> akonadi needs /usr/sbin/mysqld provided by the mysql-server-* packages,
> and runs it with a custom configuration. There is no automatic way to use the 
> system-wide mysql, but you are free to code one and include it upstream.

Akonadi should probably allow configuration of other data sources, if it
doesn't already. But that's a different issue.

> About having two mysqld running, this is because the mysql-server-* packages 
> launch it by default. There is nothing the pkg-kde team can do about it, feel 
> free to bug the mysql packaging team to get a package installing 
> /usr/sbin/mysqld without the init scripts.

Absolutely, I will open a bug. This is not so uncommon, for instance the
Tomcat packages work this way.

Cheers,

Marcus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Wed, 28 Jan 2009 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jan 2009 21:03:03 GMT) Full text and rfc822 format available.

Message #32 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: 513382@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
Date: Wed, 28 Jan 2009 22:00:31 +0100
[Message part 1 (text/plain, inline)]
On Wednesday 28 January 2009, Marcus Better wrote:
> Xavier Vello wrote:
> >> This is about akonadi-server pulling in the
> >> *system-wide* MySQL server that Akonadi does not use at all:
> >
> > akonadi needs /usr/sbin/mysqld provided by the mysql-server-* packages,
> > and runs it with a custom configuration. There is no automatic way to use
> > the system-wide mysql, but you are free to code one and include it
> > upstream.
>
> Akonadi should probably allow configuration of other data sources, if it
> doesn't already. But that's a different issue.

Just to avoid misunderstanding: the database it not a data source for Akonadi, 
it is mainly its cache.

There is no designed dependency on any specific database, but this approach is 
the first which has worked properly.
Other approaches had problems with multithreading and/or transactions and/or 
performance in general.

There have been reports that somebody got it working with postgresql, though 
respective patches, if the exist, have not been incorporated yet.

I've seen a couple of people announce that they would try to tune sqlite 
accordingly but I haven't seen anyone reporting success yet.

Cheers,
Kevin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 15 Mar 2009 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to M G Berberich <berberic@fmi.uni-passau.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 15 Mar 2009 18:21:03 GMT) Full text and rfc822 format available.

Message #37 received at 513382@bugs.debian.org (full text, mbox):

From: M G Berberich <berberic@fmi.uni-passau.de>
To: 513382@bugs.debian.org
Subject: akonadi-server works fine without mysqld running
Date: Sun, 15 Mar 2009 19:17:58 +0100
Hello,

As far as I can see akonadi-server works fine without mysqld running,
so there should be no dependency on mysql-server. It seems to use
mysqle (MySQL Embedded).

	MfG
	bmg

-- 
„Des is völlig wurscht, was heut beschlos- | M G Berberich
 sen wird: I bin sowieso dagegn!“          | berberic@fmi.uni-passau.de
(SPD-Stadtrat Kurt Schindler; Regensburg)  | www.fmi.uni-passau.de/~berberic




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 15 Mar 2009 20:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 15 Mar 2009 20:51:10 GMT) Full text and rfc822 format available.

Message #42 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: M G Berberich <berberic@fmi.uni-passau.de>, 513382@bugs.debian.org
Subject: Re: Bug#513382: akonadi-server works fine without mysqld running
Date: Sun, 15 Mar 2009 21:49:34 +0100
[Message part 1 (text/plain, inline)]
On Sunday 15 March 2009, M G Berberich wrote:
> Hello,
>
> As far as I can see akonadi-server works fine without mysqld running,
> so there should be no dependency on mysql-server. It seems to use
> mysqle (MySQL Embedded).

It does not require a system level mysqld to be running, but it requires the 
mysqld binary so it can start its instance.

Cheers,
Kevin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Mon, 16 Mar 2009 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 16 Mar 2009 13:03:06 GMT) Full text and rfc822 format available.

Message #47 received at 513382@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: 513382@bugs.debian.org
Subject: MySql details
Date: Mon, 16 Mar 2009 18:30:59 +0530
Too many people have been commenting on the invalid bug report.

Probably, there should be some writing going into a README.Debian explaining 
that akonadi depends on the mysqld binary, thus requiring the mysql-server 
package.

Also, we could document that the user can disable mysql-server from the init 
to start. Eg. chkconfig mysql --off

Ritesh
-- 
If possible, Please CC me when replying. I'm not subscribed to the list.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Mon, 06 Apr 2009 22:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 06 Apr 2009 22:27:12 GMT) Full text and rfc822 format available.

Message #52 received at 513382@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: 513382@bugs.debian.org
Cc: Marcus Better <marcus@better.se>
Subject: Re: Bug#513382 closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Mon, 6 Apr 2009 23:22:33 +0100
On Wed, Jan 28, 2009 at 02:55:26PM +0000, Debian Bug Tracking System wrote:

> Date: Wed, 28 Jan 2009 15:51:19 +0100
> From: Sune Vuorela <debian@pusling.com>
> Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
> To: 513382-done@bugs.debian.org
> 
> No. this is how akonadi at least currently work and it is a 
> design decision upstream to do it this way.

Then, respectfully, upstream do need to have their heads examined.

Using the mysql client libraries would be understandable, but
this is just completely objectionable.

I don't want a trace of mysql near my system, but I would like to
use kde4.  Optional mysql database bindings for the server would
be preferable so I don't even need the mysql client libraries
installed.  Really.

> No value in keeping this bug open.

You might want to reconsider not pulling in the mysql server package
into the default kde install by not including akonadi-server
in the metapackage dependencies.  The current requirement to run
mysql is horrible in the extreme.

kde[4] -> kdepim -> korganizer -> akonadi-server -> mysql-server

Ouch!  Totally not acceptable.



Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Tue, 07 Apr 2009 06:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Apr 2009 06:00:02 GMT) Full text and rfc822 format available.

Message #57 received at 513382@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: Roger Leigh <rleigh@codelibre.net>, 513382@bugs.debian.org
Subject: Re: Bug#513382: closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Tue, 7 Apr 2009 01:19:53 +0200
On Tuesday 07 April 2009 00:22:33 Roger Leigh wrote:
> On Wed, Jan 28, 2009 at 02:55:26PM +0000, Debian Bug Tracking System wrote:
> > Date: Wed, 28 Jan 2009 15:51:19 +0100
> > From: Sune Vuorela <debian@pusling.com>
> > Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
> > To: 513382-done@bugs.debian.org
> >
> > No. this is how akonadi at least currently work and it is a
> > design decision upstream to do it this way.
>
> Then, respectfully, upstream do need to have their heads examined.
>
> Using the mysql client libraries would be understandable, but
> this is just completely objectionable.
>
> I don't want a trace of mysql near my system, but I would like to
> use kde4.  Optional mysql database bindings for the server would
> be preferable so I don't even need the mysql client libraries
> installed.  Really.

you would prefer if they used oracle or postgresql?
I really think using mysql is much better than reimplementing a fast storage 
that allows concurrent access.

http://techbase.kde.org/Projects/PIM/Akonadi#Which_DBMS_does_Akonadi_use.3F

> > No value in keeping this bug open.
>
> You might want to reconsider not pulling in the mysql server package
> into the default kde install by not including akonadi-server
> in the metapackage dependencies.  The current requirement to run
> mysql is horrible in the extreme.
>
> kde[4] -> kdepim -> korganizer -> akonadi-server -> mysql-server

Without akonadi-server, korganizer won't work.
Very soon, kmail will also require akonadi-server.
Akonadi is here to stay.

> Ouch!  Totally not acceptable.
>
>
>
> Thanks,
> Roger
>
> --
>   .''`.  Roger Leigh
>
>  : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
>
>  `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
>    `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.

-- 
How may I reinstall the system?

First from the options inside MkLinuxPPC you should never click on a system to 
a display to link the head.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Tue, 07 Apr 2009 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Apr 2009 06:48:04 GMT) Full text and rfc822 format available.

Message #62 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: 513382@bugs.debian.org
Cc: Roger Leigh <rleigh@codelibre.net>
Subject: Re: Bug#513382: closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Tue, 7 Apr 2009 08:45:24 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 07 April 2009, Sune Vuorela wrote:
> On Tuesday 07 April 2009 00:22:33 Roger Leigh wrote:
> > On Wed, Jan 28, 2009 at 02:55:26PM +0000, Debian Bug Tracking System 
wrote:
> > > Date: Wed, 28 Jan 2009 15:51:19 +0100
> > > From: Sune Vuorela <debian@pusling.com>
> > > Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
> > > To: 513382-done@bugs.debian.org
> > >
> > > No. this is how akonadi at least currently work and it is a
> > > design decision upstream to do it this way.
> >
> > Then, respectfully, upstream do need to have their heads examined.
> >
> > Using the mysql client libraries would be understandable, but
> > this is just completely objectionable.
> >
> > I don't want a trace of mysql near my system, but I would like to
> > use kde4.  Optional mysql database bindings for the server would
> > be preferable so I don't even need the mysql client libraries
> > installed.  Really.
>
> you would prefer if they used oracle or postgresql?
> I really think using mysql is much better than reimplementing a fast
> storage that allows concurrent access.
>
> http://techbase.kde.org/Projects/PIM/Akonadi#Which_DBMS_does_Akonadi_use.3F

A quick update on that:

quite recently some new contributor provided patches for using sqlite instead. 
Unforuntately the situation with respect to sqlite hasn't changed yet, e.g. 
it still deadlocks.

However it shows that the code can support different database engines, so 
assuming some body contributes the code for postgresql or something else 
those might become options in the future.

> > > No value in keeping this bug open.
> >
> > You might want to reconsider not pulling in the mysql server package
> > into the default kde install by not including akonadi-server
> > in the metapackage dependencies.  The current requirement to run
> > mysql is horrible in the extreme.
> >
> > kde[4] -> kdepim -> korganizer -> akonadi-server -> mysql-server
>
> Without akonadi-server, korganizer won't work.

Not entirely correct, i.e. Korganizer of 4.2 does not, Korganizer of 4.3 will.
KPilot already requires Akonadi though.

Anyway, this is just nitpicking. The Akonadi server is a runtime requirement 
of the Akonadi KDE libraries, which are part of the KDE platform.

> Very soon, kmail will also require akonadi-server.

True, we hope this to happen with 4.4, there are still huge porting efforst 
ahead.

> Akonadi is here to stay.

Indeed. It is a pity we didn't have the resources to do more app porting 
already, but it seems we are on a good track for 4.3

Cheers,
Kevin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Tue, 07 Apr 2009 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Apr 2009 07:39:05 GMT) Full text and rfc822 format available.

Message #67 received at 513382@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Sune Vuorela <Sune@vuorela.dk>
Cc: 513382@bugs.debian.org
Subject: Re: Bug#513382: closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Tue, 7 Apr 2009 08:26:59 +0100
On Tue, Apr 07, 2009 at 01:19:53AM +0200, Sune Vuorela wrote:
> On Tuesday 07 April 2009 00:22:33 Roger Leigh wrote:
> > On Wed, Jan 28, 2009 at 02:55:26PM +0000, Debian Bug Tracking System wrote:
> > > Date: Wed, 28 Jan 2009 15:51:19 +0100
> > > From: Sune Vuorela <debian@pusling.com>
> > > Subject: Re: Bug#513382: akonadi-server: depends on mysql-server
> > > To: 513382-done@bugs.debian.org
> > >
> > > No. this is how akonadi at least currently work and it is a
> > > design decision upstream to do it this way.
> >
> > Then, respectfully, upstream do need to have their heads examined.
> >
> > Using the mysql client libraries would be understandable, but
> > this is just completely objectionable.
> >
> > I don't want a trace of mysql near my system, but I would like to
> > use kde4.  Optional mysql database bindings for the server would
> > be preferable so I don't even need the mysql client libraries
> > installed.  Really.
> 
> you would prefer if they used oracle or postgresql?
> I really think using mysql is much better than reimplementing a fast storage 
> that allows concurrent access.

Depending on /any/ database *server* is not acceptable.  It should
be using the *client interface* like every other program out there.
This means either the client program, client library, or some other
database abstraction library are used to connect to the server.

If it wants to embed a server, then sqlite exists for just this
purpose.

Directly running an entire database server instance for a single
client is *wrong*, bloated and broken design.  And I'm forced to
run a system mysql instance unless I take special steps to
disable it, with all the security issues that implies.  No thanks.

> > kde[4] -> kdepim -> korganizer -> akonadi-server -> mysql-server
> 
> Without akonadi-server, korganizer won't work.
> Very soon, kmail will also require akonadi-server.
> Akonadi is here to stay.

Then these packages must be removed from the appropriate kde
metapackages until they are fixed.

Installing mysql is *simply not acceptable*.

This might be something the Technical Committee could look at;
I won't find anything other than the removal of this dependency
acceptable.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Tue, 07 Apr 2009 07:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Apr 2009 07:42:02 GMT) Full text and rfc822 format available.

Message #72 received at 513382@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 513382@bugs.debian.org
Subject: Re: Bug#513382: closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Tue, 7 Apr 2009 09:38:22 +0200
On Tuesday 07 April 2009 09:26:59 Roger Leigh wrote:
> > you would prefer if they used oracle or postgresql?
> > I really think using mysql is much better than reimplementing a fast
> > storage that allows concurrent access.
>
> Depending on /any/ database *server* is not acceptable.  It should
> be using the *client interface* like every other program out there.
> This means either the client program, client library, or some other
> database abstraction library are used to connect to the server.

It uses the client interface like any other program out there to a *local* 
database. Currently, only mysql is supported.

> If it wants to embed a server, then sqlite exists for just this
> purpose.

Then please fix sqlite to be fast and deadlock free when accessed from multiple 
processes and threads.

> Directly running an entire database server instance for a single
> client is *wrong*, bloated and broken design.  And I'm forced to
> run a system mysql instance unless I take special steps to
> disable it, with all the security issues that implies.  No thanks.

I have several times approached mysql maintainers to make it possible to 
create a version that does not start a system daemon as well. Akonadi starts 
its own instance as user.

> > > kde[4] -> kdepim -> korganizer -> akonadi-server -> mysql-server
> >
> > Without akonadi-server, korganizer won't work.
> > Very soon, kmail will also require akonadi-server.
> > Akonadi is here to stay.
>
> Then these packages must be removed from the appropriate kde
> metapackages until they are fixed.

Nothing here is broken, so nothing to fix.

> Installing mysql is *simply not acceptable*.
>
> This might be something the Technical Committee could look at;
> I won't find anything other than the removal of this dependency
> acceptable.

Oh well. Just take it to tech-ctte then. As said, Akonadi uses mysql-server 
and akonadi is here to stay.

/Sune
-- 
Genius, I cannot boot the mailer, how does it work?

First of all from X-Windows you neither should debug a AGP system, nor should 
doubleclick the sendmail to overclock the URL of a 47X driver.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Tue, 07 Apr 2009 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Apr 2009 08:30:03 GMT) Full text and rfc822 format available.

Message #77 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: Roger Leigh <rleigh@codelibre.net>, 513382@bugs.debian.org
Subject: Re: Bug#513382: closed by Sune Vuorela <debian@pusling.com> (Re: Bug#513382: akonadi-server: depends on mysql-server)
Date: Tue, 7 Apr 2009 10:26:28 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 07 April 2009, Roger Leigh wrote:
> On Tue, Apr 07, 2009 at 01:19:53AM +0200, Sune Vuorela wrote:

> > you would prefer if they used oracle or postgresql?
> > I really think using mysql is much better than reimplementing a fast
> > storage that allows concurrent access.
>
> Depending on /any/ database *server* is not acceptable.  It should
> be using the *client interface* like every other program out there.
> This means either the client program, client library, or some other
> database abstraction library are used to connect to the server.

It is actually using an abstraction, the Qt SQL plugin system and the database 
access code is also quite centralized.
Adding support for other database engines is possible, just not that high on 
the priority list as getting the rest of the infrastruture running and 
porting the applications.

Once support for more than one database engine is available, it might be 
possible to create a meta package and have it provided by several database 
packages.

> If it wants to embed a server, then sqlite exists for just this
> purpose.

There is also mysql embedded, but unfortunately it doesn't work reliably 
enough either (IIRC it doesn't support transactions).

Starting a local mysql instance is basically a workaround that provides the 
necessary features in a reliable way and does not require administrator level 
settings like using a system daemon. (this is supported though)

> Directly running an entire database server instance for a single
> client is *wrong*, bloated and broken design.  And I'm forced to
> run a system mysql instance unless I take special steps to
> disable it, with all the security issues that implies.  No thanks.

As Sune already wrote it is unfortunate that the mysql server package also 
contains the global startup mechanism. Makes sense if running a single 
instance is the only use case, but obviously breaks for others.

Cheers,
Kevin
-- 
Kevin Krammer, KDE developer, xdg-utils developer
KDE user support, developer mentoring
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 08 Aug 2009 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to LEDUQUE Mickaël <mleduque@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 08 Aug 2009 17:51:05 GMT) Full text and rfc822 format available.

Message #82 received at 513382@bugs.debian.org (full text, mbox):

From: LEDUQUE Mickaël <mleduque@gmail.com>
To: 513382@bugs.debian.org
Subject: Filesystem backend
Date: Sat, 8 Aug 2009 19:48:00 +0200
[Message part 1 (text/plain, inline)]
In the same page that was mentioned earlier
http://techbase.kde.org/Projects/PIM/Akonadi#Akonadi_TODO , there is an item
"Scheduled for KDE 4.3 / Akonadi 1.2" that is titled "Filesystem backend"
and is described as "Store content data in files instead of the database,
transfer filehandles instead of data to the client".

This item is noted as "DONE".

I suppose that now that akonadi is at v1.2 in sid, it is possible to use
this? 'and even have it used by default?)

Of course, it's possible I misunderstood that.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 09 Aug 2009 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 09 Aug 2009 12:15:05 GMT) Full text and rfc822 format available.

Message #87 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: debian-qt-kde@lists.debian.org, LEDUQUE Mickaël <mleduque@gmail.com>, 513382@bugs.debian.org
Subject: Re: Bug#513382: Filesystem backend
Date: Sun, 9 Aug 2009 13:59:33 +0200
[Message part 1 (text/plain, inline)]
On Saturday, 2009-08-08, LEDUQUE Mickaël wrote:
> In the same page that was mentioned earlier
> http://techbase.kde.org/Projects/PIM/Akonadi#Akonadi_TODO , there is an
> item "Scheduled for KDE 4.3 / Akonadi 1.2" that is titled "Filesystem
> backend" and is described as "Store content data in files instead of the
> database, transfer filehandles instead of data to the client".
>
> This item is noted as "DONE".
>
> I suppose that now that akonadi is at v1.2 in sid, it is possible to use
> this? 'and even have it used by default?)

Yes, this version should be capable of doing this.
It is not enabled by default, though.

The respective properties of the akonadiserverrc configuration file are 
ExternalPayload and SizeThreshold in the [General] Section.
Basically the default is

[General]
ExternalPayload=false
SizeThreshold=4096

Meaning use of external payloads (cached content in files) is disabled (data 
will be transmited through the data connection) and the limit, if it were 
enabled, would be 4096 bytes, meaning smaller data items would still be cached 
in the database.

Unless you are already using Akonadi for huge data items, e.g. mails with 
large attachments, there is probably little to gain other then helping test 
the feature.

Cheers,
Kevin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 09 Aug 2009 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to LEDUQUE Mickaël <mleduque@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 09 Aug 2009 12:54:02 GMT) Full text and rfc822 format available.

Message #92 received at 513382@bugs.debian.org (full text, mbox):

From: LEDUQUE Mickaël <mleduque@gmail.com>
To: 513382@bugs.debian.org
Subject: Re: Bug#513382: Filesystem backend
Date: Sun, 9 Aug 2009 14:48:03 +0200
[Message part 1 (text/plain, inline)]
So if I set ExternalPayload to true and SizeThreshold to zero, it won't
start the mysql server at all?

One valuable gain would be to get rid of the mysql dependency, but it won't
because the dependency wasn't removed from the akonadi-server package
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 09 Aug 2009 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 09 Aug 2009 13:36:04 GMT) Full text and rfc822 format available.

Message #97 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: LEDUQUE Mickaël <mleduque@gmail.com>, 513382@bugs.debian.org
Subject: Re: Bug#513382: Filesystem backend
Date: Sun, 9 Aug 2009 15:32:08 +0200
[Message part 1 (text/plain, inline)]
On Sunday, 2009-08-09, LEDUQUE Mickaël wrote:
> So if I set ExternalPayload to true and SizeThreshold to zero, it won't
> start the mysql server at all?

No, it will store all cached item data (payload) in files.
It will still keep all relational data, e.g. which folder contains which 
items, in the database. That's what a database is good at.

> One valuable gain would be to get rid of the mysql dependency, but it won't
> because the dependency wasn't removed from the akonadi-server package

Right.
Post version 1.2 code has support for Postgres as well, though I think this 
requires a manually setup Postgres instance, much like using an external MySQL 
instance.
Haven't tried either yet so I can't comment on the process for such a setup.

Anyway, using a different database is orthogonal to storing cached item data 
in files. Though some databases might be better when only having to deal with 
small data blocks.

Cheers,
Kevin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 09 Aug 2009 17:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to LEDUQUE Mickaël <mleduque@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 09 Aug 2009 17:03:02 GMT) Full text and rfc822 format available.

Message #102 received at 513382@bugs.debian.org (full text, mbox):

From: LEDUQUE Mickaël <mleduque@gmail.com>
To: 513382@bugs.debian.org
Subject: Re: Bug#513382: Filesystem backend
Date: Sun, 9 Aug 2009 18:57:19 +0200
[Message part 1 (text/plain, inline)]
In fact, in my opinion, the point is to not have the data in ANY big, full
featured, and space hungry database software.
I don't understand why something as simple as an address can't just be
stored in whatever file format you could name. Even csv would work! What
does a relational database do better when the only kind of search I do is
based on the contact name?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sun, 09 Aug 2009 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Krammer <kevin.krammer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 09 Aug 2009 17:57:04 GMT) Full text and rfc822 format available.

Message #107 received at 513382@bugs.debian.org (full text, mbox):

From: Kevin Krammer <kevin.krammer@gmx.at>
To: 513382@bugs.debian.org
Subject: Re: Bug#513382: Filesystem backend
Date: Sun, 9 Aug 2009 19:54:09 +0200
[Message part 1 (text/plain, inline)]
On Sunday, 2009-08-09, LEDUQUE Mickaël wrote:
> In fact, in my opinion, the point is to not have the data in ANY big, full
> featured, and space hungry database software.
> I don't understand why something as simple as an address can't just be
> stored in whatever file format you could name. Even csv would work! What
> does a relational database do better when the only kind of search I do is
> based on the contact name?

Ah!
This is a misunderstanding :)

The data is of course not in the database, it is whereever it stored right 
now, e.g. a vcard file, a LDAP server, remote file, etc.

Akonadi, or rather the Akonadi server, is quite like a proxy, caching data on 
behalf of applications so they don't have to.

The application contacts Akonadi server and e.g. requests a list of all 
"folders" [1] containing contacts.
The server knows which folder corresponds to which data source, e.g. that a 
folder contains the contacts of vcard file.

Once an application requests actual data, e.g. contact, email, whatever, it 
will check whether it has the data cached or whether it has to retrieve it 
from the actual source.

Whether it will then just pass the data on to the application asking for it or 
whether it will also store it (depending on the settings in either DB or file) 
depends on the folder's "Cache policy".

E.g. a cache policy for a local contact file might be to not cache at all, a 
policy for a local maildir might already be "cache headers" (for faster 
listing), the policy for an important IMAP folder could be "cache everything".

Currently these cache policies are mainly determined by the data providers 
[2], but of course the idea it to have applications provide their users 
methods of changing that according to their needs.

In a setup where nothing is cached or where caching happens through indivadual 
cache files, the database will only contain meta and relational data, e.g. how 
the folder structure looks like, which data provider is handling which 
folders, which items are in which folder, MIME types, etc.

Storing such things is what relational databases are really good at.
Of course, different workloads will require different sophistication from 
database implementations, so Akonadi uses Qt's SQL abstraction to be not tied 
to a single one.

Ideally a default setup would use something extremly "light weight", 
e.g.SQLite, however it unfortunately turned out that as this point this is not 
possible.
SQLite turned out to have serious problems with multithreading, especially in 
context of transactions, MySQL/Embedded didn't have a backend capable of doing 
transactions.

While MySQL, as you pointed out, is quite a "heavy" implementation, it is one 
that can provide the required base features and can be run in a way that does 
not need manual database setup.

In the meanwhile some people have provided feedback and respective patches to 
also enable Postgres usage and another group of people are working diligently 
to find ways around SQLite's short commings [3].

Cheers,
Kevin

[1] in Akonadi called collections
[2] in Akonadi  called resource agents or just resources
[3] AFAIK the current state is that it is no longer deadlocking instantly, 
only after some operations
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 17 Oct 2009 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 17 Oct 2009 12:51:03 GMT) Full text and rfc822 format available.

Message #112 received at 513382@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: 513382@bugs.debian.org
Subject: bug against mysql package for a non-autostarting mysqld
Date: Sat, 17 Oct 2009 13:16:21 +0100
[Message part 1 (text/plain, inline)]
It has been stated several times in this bug that the mysql
maintainers have been approached about providing a package
containing mysqld that does not auto-start a global mysqld
instance.

However I can find no such bug in the BTS filed against
src:mysql-dfsg-5.1, archived or otherwise.

If such a big exists then this one should be set to be
blocked by the other; otherwise, such a bug should have
been filed ages ago.


-- 
Jon Dowland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 17 Oct 2009 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 17 Oct 2009 14:15:04 GMT) Full text and rfc822 format available.

Message #117 received at 513382@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: debian-qt-kde@lists.debian.org, Jon Dowland <jon+bts@alcopop.org>, 513382@bugs.debian.org
Subject: Re: Bug#513382: bug against mysql package for a non-autostarting mysqld
Date: Sat, 17 Oct 2009 15:56:06 +0200
On Saturday 17 October 2009 14:16:21 Jon Dowland wrote:
> It has been stated several times in this bug that the mysql
> maintainers have been approached about providing a package
> containing mysqld that does not auto-start a global mysqld
> instance.

Yup. I have discussed it quite some time ago with Norbert (nobse) and he said 
that he welcomed patches but didn't have time to do it himself. I 
unfortunately haven't had time either.

Ubuntu has done the split, so if someone is having time on their hands, trying 
to figure out if it is usable for debian and how it is usable would be a good 
thing.

It is somewhere on my todolist, but it is unfortunately neverending.
 
> However I can find no such bug in the BTS filed against
> src:mysql-dfsg-5.1, archived or otherwise.
> 
> If such a big exists then this one should be set to be
> blocked by the other; otherwise, such a bug should have
> been filed ages ago.

A bug exists. I currently can't find it, but I know it does. Note that mysql 
have switched source package names a couple of times.

/Sune
-- 
How to close the e-mail address?

The point is that from DOS you either must overclock a controller, or can 
never explore a monitor on the serial 3D cache of the provider to the hardware 
for unmounting a BIOS on the MIDI DVD tool.




Severity set to 'serious' from 'important' Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Sat, 17 Oct 2009 14:48:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'akonadi-server: depends on the mysql-server package which starts system mysqld' from 'akonadi-server: depends on mysql-server' Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Sat, 17 Oct 2009 14:48:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 513382: 548419 Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Sat, 17 Oct 2009 15:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 17 Oct 2009 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 17 Oct 2009 15:57:03 GMT) Full text and rfc822 format available.

Message #128 received at 513382@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: 513382@bugs.debian.org
Cc: Ritesh Raj Sarraf <rrs@researchut.com>
Subject: Re: Bug#513382: bug against mysql package for a non-autostarting mysqld
Date: Sat, 17 Oct 2009 18:53:05 +0300
[Message part 1 (text/plain, inline)]
Hello,

On šeštadienis 17 Spalis 2009 18:03:09 Ritesh Raj Sarraf wrote:
> Jon Dowland wrote:
> > It has been stated several times in this bug that the mysql
> > maintainers have been approached about providing a package
> > containing mysqld that does not auto-start a global mysqld
> > instance.
> 
> Won't just disabling mysql init script suffice ?
> Why roll out a full blown package for that ?

You gotta be kidding, aren't you? Why would all Debian KDE users care how to 
disable a mysql init script (which there is no decent user-friendly way 
anyway) which they do not care about and which is supposed to be handled 
transparently. Not an option.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 17 Oct 2009 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 17 Oct 2009 16:15:04 GMT) Full text and rfc822 format available.

Message #133 received at 513382@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 513382@bugs.debian.org
Subject: Re: Bug#513382: bug against mysql package for a non-autostarting mysqld
Date: Sat, 17 Oct 2009 21:40:45 +0530
[Message part 1 (text/plain, inline)]
On Saturday 17 Oct 2009 21:23:05 Modestas Vainius wrote:
> Hello,
> 
> On šeštadienis 17 Spalis 2009 18:03:09 Ritesh Raj Sarraf wrote:
> > Jon Dowland wrote:
> > > It has been stated several times in this bug that the mysql
> > > maintainers have been approached about providing a package
> > > containing mysqld that does not auto-start a global mysqld
> > > instance.
> >
> > Won't just disabling mysql init script suffice ?
> > Why roll out a full blown package for that ?
> 
> You gotta be kidding, aren't you? Why would all Debian KDE users care how
>  to disable a mysql init script (which there is no decent user-friendly way
>  anyway) which they do not care about and which is supposed to be handled
>  transparently. Not an option.
> 

No really. Shipping the same binary twice is not the best thing to do either.
I agree that not every one would know how to disable an init script.

How about leaving the mysqld binary package as it is. Just provide a basic 
mysql-akonadi package that creates a /etc/default/mysql-akonadi file with 
mysqld system instance set to off.
(The msyqld package could just be changed to check for this file and source it, 
if available).

akonadi can then depend on just mysql-akonadi.

And if there are users (like me) who don't want to have one mysql for akonadi 
and another one for amarok, can still go ahead and set mysql system instance 
to 'on' in /etc/default/mysql-akonadi.

Should cover all and still not require to ship the mysqld.

Ritesh
-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#513382; Package akonadi-server. (Sat, 17 Oct 2009 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 17 Oct 2009 16:30:03 GMT) Full text and rfc822 format available.

Message #138 received at 513382@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Ritesh Raj Sarraf <rrs@researchut.com>, 513382@bugs.debian.org
Subject: Re: Bug#513382: bug against mysql package for a non-autostarting mysqld
Date: Sat, 17 Oct 2009 19:27:28 +0300
[Message part 1 (text/plain, inline)]
Sveiki,

On šeštadienis 17 Spalis 2009 19:10:45 Ritesh Raj Sarraf wrote:
> > You gotta be kidding, aren't you? Why would all Debian KDE users care how
> >  to disable a mysql init script (which there is no decent user-friendly
> > way anyway) which they do not care about and which is supposed to be
> > handled transparently. Not an option.
> 
> No really. Shipping the same binary twice is not the best thing to do
>  either. I agree that not every one would know how to disable an init
>  script.

Ubuntu solution:

mysql-server-core-5.1 ships mysqld, no init stuff.
mysql-server-5.1 ships init stuff.

> How about leaving the mysqld binary package as it is. Just provide a basic
> mysql-akonadi package that creates a /etc/default/mysql-akonadi file with
> mysqld system instance set to off.
> (The msyqld package could just be changed to check for this file and source
>  it, if available).
> 
> akonadi can then depend on just mysql-akonadi.
> 
> And if there are users (like me) who don't want to have one mysql for
>  akonadi and another one for amarok, can still go ahead and set mysql
>  system instance to 'on' in /etc/default/mysql-akonadi.
> 
> Should cover all and still not require to ship the mysqld.

Way too overcomplicated solution for a rather simple problem.


-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 513382 535324 539620. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 22 Feb 2010 14:33:15 GMT) Full text and rfc822 format available.

Added indication that 513382 affects kaddressbook Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 22 Feb 2010 14:33:17 GMT) Full text and rfc822 format available.

Disconnected #513382 from all other report(s). Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 22 Feb 2010 22:03:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Didier Raboud <didier@raboud.com> to control@bugs.debian.org. (Wed, 07 Apr 2010 08:57:09 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 23:36:03 GMT) Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 23:36:04 GMT) Full text and rfc822 format available.

Message #151 received at 513382-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 513382-close@bugs.debian.org
Subject: Bug#513382: fixed in akonadi 1.3.1-3
Date: Sat, 10 Apr 2010 23:32:14 +0000
Source: akonadi
Source-Version: 1.3.1-3

We believe that the bug you reported is fixed in the latest version of
akonadi, which is due to be installed in the Debian FTP archive:

akonadi-dbg_1.3.1-3_amd64.deb
  to main/a/akonadi/akonadi-dbg_1.3.1-3_amd64.deb
akonadi-server_1.3.1-3_amd64.deb
  to main/a/akonadi/akonadi-server_1.3.1-3_amd64.deb
akonadi_1.3.1-3.diff.gz
  to main/a/akonadi/akonadi_1.3.1-3.diff.gz
akonadi_1.3.1-3.dsc
  to main/a/akonadi/akonadi_1.3.1-3.dsc
libakonadi-dev_1.3.1-3_amd64.deb
  to main/a/akonadi/libakonadi-dev_1.3.1-3_amd64.deb
libakonadiprivate1_1.3.1-3_amd64.deb
  to main/a/akonadi/libakonadiprivate1_1.3.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513382@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated akonadi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Apr 2010 01:46:38 +0300
Source: akonadi
Binary: libakonadiprivate1 akonadi-dbg libakonadi-dev akonadi-server
Architecture: source amd64
Version: 1.3.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 akonadi-dbg - debugging symbols for the Akonadi PIM storage service
 akonadi-server - Akonadi PIM storage service
 libakonadi-dev - development files for the Akonadi PIM storage service
 libakonadiprivate1 - libraries for the Akonadi PIM storage service
Closes: 513382
Changes: 
 akonadi (1.3.1-3) unstable; urgency=low
 .
   [ Didier Raboud ]
   * Make akonadi-mysql depend on mysql-server-core instead of mysql-server,
     thanks to the split made in mysql-5.1. (Closes: #513382)
Checksums-Sha1: 
 1ead4e0fa1993aba4ce08fe00d8f18a8c369e6b1 1567 akonadi_1.3.1-3.dsc
 357ce13524f1d2bc9600b5e188b60cd09d3dbb83 6647 akonadi_1.3.1-3.diff.gz
 95f9f55ff1abeb6965c6f949190db440d8accba8 623732 libakonadiprivate1_1.3.1-3_amd64.deb
 71489ebbb790ba98c2caef57b50cf38715d50e37 7211190 akonadi-dbg_1.3.1-3_amd64.deb
 b0e7984c98fc708469706859e9ca7ef15c5eb204 57534 libakonadi-dev_1.3.1-3_amd64.deb
 9455bfd5b6bc059639e17edac93271bb1bbb263f 211430 akonadi-server_1.3.1-3_amd64.deb
Checksums-Sha256: 
 3fca6a1ee5e519c7222a8442a073d25a79ee8905c6d23efd3216fd744ce5c64f 1567 akonadi_1.3.1-3.dsc
 2db565e7146c592d36dadb00ae262e4596a3ff5fda2b8d77dff6a2daaafc6ecb 6647 akonadi_1.3.1-3.diff.gz
 53bb406c67ae8a79ed0dce93ee4216bd1e6452e9a2ee1369c66565f60bf9c533 623732 libakonadiprivate1_1.3.1-3_amd64.deb
 57ed75cf5ec5a88ad1487899e335b28a51f733dbf0b39932bac4eb471c64f7c5 7211190 akonadi-dbg_1.3.1-3_amd64.deb
 7475c205a4a8fe469d33a203dda5aa0c294681ce525e7b433fadd0a9e66c163d 57534 libakonadi-dev_1.3.1-3_amd64.deb
 9fd1239df387f34df3151fcd8f5f1e8dc95c146f02f45a27aef313a2ece7bba3 211430 akonadi-server_1.3.1-3_amd64.deb
Files: 
 ba58804df0b8ac861962e2b3b26fc58c 1567 libs extra akonadi_1.3.1-3.dsc
 8f76e3f6996af86bafbb165bd2f99538 6647 libs extra akonadi_1.3.1-3.diff.gz
 20e34a554eb6a2192c97b4644bdb713e 623732 libs extra libakonadiprivate1_1.3.1-3_amd64.deb
 f51bc20f2d890955f83023eec8fb73a9 7211190 debug extra akonadi-dbg_1.3.1-3_amd64.deb
 e2fcb0afc3f08c0d8c330d1a51da2fb8 57534 libdevel extra libakonadi-dev_1.3.1-3_amd64.deb
 c7d78559a7dcfc063903897799c30890 211430 net extra akonadi-server_1.3.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvBA3cACgkQHO9JRnPq4hQ3CQCfZBN8SuHzh8NI6eCjlTysUszy
8pYAoMuT/CQsfGdND2fLlpleuyg8PCcl
=wQpq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:53:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.